<template>
	<view class="content">
		<textarea placeholder-style="color:#999999; font-size: 30rpx" maxlength="500" :value="blurValue" :placeholder="blurPlaceholder" @input="blurInput"/>
		<view class="idcardAdd-depict-number">500字以内</view>
	</view>
</template>

<script>
	export default{
		name: 'mouldText',
		data(){
			return {}
		},
		props: {
			blurValue	: {
				type	: String,
				default : ''
			},
			blurPlaceholder: {
				type	: String,
				default : ''
			},
			depictNumber: {
				type	: String,
				default : ''
			}
		},
		onLoad() {
		},
		methods: {
			blurInput(e){
				this.$emit('onTextarea', e.detail.value)
			}
		}
	}
</script>

<style lang="scss" scoped>
	.content {
		width: 100%;
	}
	
	.idcardAdd-depict-number {
		text-align: right;
		font-size: 26rpx;
		color: #999;
	}
</style>